welcome: please sign in

Redirected from page "XulRunner"

Clear message
location: XULRunner

If you are installing Conkeror through your OS package manager, these instructions probably do not apply to you, because installing Conkeror that way will install an appropriate version of XULRunner by dependency.

1. What Version?

Conkeror 1.0 depends on XULRunner 1.9.1 or higher.

Conkeror 0.9.x depends on XULRunner 1.9.0 or higher.

The best is to use a stable released version. Unreleased development versions may have breaking changes for which Conkeror has not yet been updated.

2. Install XULRunner

2.1. From your OS Package Manager

Many operating systems provide XULRunner packages of an appropriate version to run Conkeror. If available, this is the easiest way to install and upgrade XULRunner. Refer to the documentation for your OS for how to locate and install such a package.

2.1.1. Mac OS X

There are several package managers for OS X. XULRunner can be installed from the MacPorts project's repository under /opt.

% sudo port install xulrunner-devel
...
% /opt/local/bin/xulrunner --version
Mozilla XULRunner 2.0 - 20111102200509

This version does not work for --install-app, at least under OS X 10.5.8. See InstallationOSX.

MacPorts also offers a 1.9.2.x version.

% sudo port install xulrunner

2.2. Manual

Manual installation of XULRunner is a very simple process, because binary builds are available from Mozilla for major platforms.

Mozilla XULRunner site

XULRunner Releases

  1. Download an archive appropriate for your operating system and architecture. For each version of XULRunner in the XULRunner Releases archive, there are subdirectories 'runtimes', 'sdk', and 'source'. The ones in 'runtimes' are the ones to use. (The sdk version can also be used, but it is not required, and much larger.)
  2. For OS X, the archive contains an installer. Run it and follow the instructions; the binaries will be installed into the OS X/NextStep system directory structure. To test:

    % /Library/Frameworks/XUL.framework/xulrunner-bin --version
    Mozilla XULRunner 1.9.2 - 20100222070821

    The version shown is able to generate an OS X application bundle using --install-app, at least on OS X 10.5.8. See InstallationOSX.

  3. For other OSes, just unpack the archive somewhere. It does not need to be installed to system directories.

2.3. For XULRunner 2 and earlier

For XULRunner 2 and earlier, on platforms other than OS X, GRE registration must be performed. It can be done either for an individual user account or for the whole system. With the user version, it puts an entry in ~/.gre.d. With the system version, it puts an entry in /etc/gre.d. Enter the new XULRunner directory and do one of the following:

./xulrunner --register-user

or, as root/administrator:

./xulrunner --register-global

Conkeror.org: XULRunner (last edited 2012-02-22 23:36:49 by PhilHudson)